Subject: iSCSI : Reject PDU reserved fields.

From: Gwendal Grignou <[email-masked]>
Date: Tue, 19 Feb 2002 14:40:11 -0800

Hello,

I wonder if it would be possible to have the 4 bytes word at offset 16-19 set 
to 0xFFFFFFFF in case of a Reject PDU.
All iSCSI PDU either carries a valid ITT or 0xFFFFFFFF. Only Reject PDU 
carries an invalid ITT which will not be 0xFFFFFFFF - most probably 
0x00000000.
As of today, an initiator has to be sure the PDU is not a Reject PDU to 
interpret the ITT. By setting the ITT to 0xFFFFFFFF, we avoid this test.

Gwendal.